Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.resource
Class SimpleResourceNaming

    java.lang.Object
      org.pentaho.di.resource.SimpleResourceNaming

All Implemented Interfaces:
  ResourceNamingInterface

Direct Known Subclasses:
  SequenceResourceNaming, UUIDResourceNaming

    public class SimpleResourceNaming

extends Object
implements ResourceNamingInterface

Nested Class Summary

Nested classes/interfaces inherited from interface org.pentaho.di.resource.ResourceNamingInterface
`ResourceNamingInterface.FileNamingType`

Constructor Summary
`SimpleResourceNaming()`
`SimpleResourceNaming(String fileSystemPrefix)`

Method Summary
`Map<String,String>` | `getDirectoryMap()`
`String` | `getFileSystemPrefix()`
`boolean` | `getUseOriginalPathInTargetName()`
`String` | `nameResource(String prefix, String originalFilePath, String extension, ResourceNamingInterface.FileNamingType namingType)` Create a (file) name for a resource based on a prefix and an extension.
`void` | `setDirectoryMap(Map<String,String> directoryMap)`
`void` | `setFileSystemPrefix(String value)`
`void` | `setUseOriginalPathInTargetName(boolean value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleResourceNaming

    public SimpleResourceNaming()

### SimpleResourceNaming

    public SimpleResourceNaming(String fileSystemPrefix)

Method Detail

### nameResource

    public String nameResource(String prefix,
                               String originalFilePath,
                               String extension,
                               ResourceNamingInterface.FileNamingType namingType)

  Description copied from interface: `ResourceNamingInterface`
  Create a (file) name for a resource based on a prefix and an extension.

  Specified by:
    `nameResource` in interface `ResourceNamingInterface`
  Parameters:
    `prefix` - The prefix, usually the name of the object that is being exported
    `originalFilePath` - The original path to the file. This will be used in the naming of the resource to ensure that the same GUID will be returned for the same file.
    `extension` - The extension of the filename to be created. For now this also gives a clue as to what kind of data is being exported and named..
    `namingType` - the file naming type to use, in case of DATA_FILE for example, the return value might not be the complete file, but rather
  Returns:
    The filename, typically including a GUID, but always the same when given the same prefix and extension as input.

### getFileSystemPrefix

    public String getFileSystemPrefix()

### setFileSystemPrefix

    public void setFileSystemPrefix(String value)

### getUseOriginalPathInTargetName

    public boolean getUseOriginalPathInTargetName()

### setUseOriginalPathInTargetName

    public void setUseOriginalPathInTargetName(boolean value)

### getDirectoryMap

    public Map<String,String> getDirectoryMap()

  Specified by:
    `getDirectoryMap` in interface `ResourceNamingInterface`
  Returns:
    the directoryMap

### setDirectoryMap

    public void setDirectoryMap(Map<String,String> directoryMap)

  Parameters:
    `directoryMap` - the directoryMap to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD